<?php
include "../config.php";
include "classes.php";

$data = array();
$domainOverall = array();
$domain = array();

$condX = $_REQUEST['condX'];
$conX = $_REQUEST['conX'];
$trendsmonthX = $_REQUEST['trendsmonthX'];

$range_arr = array(1,2,3,4,5,6,7,8,9,10,11);
if($conX==1)
{    
    //$condX=" ";   
}

$nps4 = new NPS4($conn,$condX);

$domainOverall['overallflipkartNPS'] = $nps4->npsCalculate4('Q19a',$trendsmonthX);
$domainOverall['overallamazonNPS'] = $nps4->npsCalculate4('Q19c',$trendsmonthX);
$domainOverall['overallmeeshoNPS'] = $nps4->npsCalculate4('Q19e',$trendsmonthX);

array_push($data,$domainOverall);

echo json_encode($data);

?>